Page MenuHomePhabricator

Wikimedia "top" pageviews API has problematic double-encoded JSON [8 pts] {melc}
Closed, ResolvedPublic

Description

$ curl -s "https://wikimedia.org/api/rest_v1/metrics/pageviews/top/en.wikipedia/all-access/2015/11/13"
{"items":[{"project":"en.wikipedia","access":"all-access","year":"2015","month":"11","day":"13","articles":"[{\"article\":\"Main_Page\",\"views\":18115623,\"rank\":1},{\"article\":\"Special:Search\",\"views\":2613070,\"rank\":2},{\"article\":\"Special:BlankPage\",\"views\":1827914,\"rank\":3},{\"article\":\"-\",\"views\":961837,\"rank\":4},{\"article\":\"Prem_Ratan_Dhan_Payo\",\"views\":239723,\"rank\":5},{\"article\":\"Friday_the_13th\",\"views\":206080,\"rank\":6},{\"article\":\"November_2015_Paris_attacks\",\"views\":184250,\"rank\":7},{\"article\":\"Paul_Elio\",\"views\":182479,\"rank\":8},{\"article\":\"Eagles_of_Death_Metal\",\"views\":174579,\"rank\":9},{\"article\":\"Jihadi_John\",\"views\":168596,\"rank\":10},{\"article\":\"Boston_Pizza_Royalties_Income_Fund\",\"views\":167705,\"rank\":11},{\"article\":\"Template:GeoTemplate\",\"views\":165756,\"rank\":12},{\"article\":\"Dulce_María\",\"views\":154724,\"rank\":13},{\"article\":\"Special:Book\",\"views\":154019,\"rank\":14},{\"article\":\"Purpose_(Justin_Bieber_album)\",\"views\":131301,\"rank\":15},{\"article\":\"Web_scraping\",\"views\":130940,\"rank\":16},{\"article\":\"Spectre_(2015_film)\",\"views\":127129,\"rank\":17},{\"article\":\"Nebo_Zovyot\",\"views\":118580,\"rank\":18},{\"article\":\"User:GoogleAnalitycsRoman/google-api\",\"views\":114628,\"rank\":19},{\"article\":\"Hazel_Keech\",\"views\":108485,\"rank\":20},{\"article\":\"Cruise1st_Australia\",\"views\":108307,\"rank\":21},{\"article\":\"Fallout_4\",\"views\":101861,\"rank\":22},{\"article\":\"Bruce_Lee\",\"views\":101415,\"rank\":23},{\"article\":\"Bataclan_(theatre)\",\"views\":87651,\"rank\":24},{\"article\":\"List_of_feed_aggregators\",\"views\":86183,\"rank\":25},{\"article\":\"Deaths_in_2015\",\"views\":85521,\"rank\":26},{\"article\":\"Georgia_O'Keeffe\",\"views\":81508,\"rank\":27},{\"article\":\"Special:Watchlist\",\"views\":78462,\"rank\":28},{\"article\":\"Ontario_Consultants_on_Religious_Tolerance\",\"views\":76584,\"rank\":29},{\"article\":\"American_Youth_Soccer_Organization\",\"views\":72930,\"rank\":30},{\"article\":\"Islamic_State_of_Iraq_and_the_Levant\",\"views\":72820,\"rank\":31},{\"article\":\"LastPass\",\"views\":72709,\"rank\":32},{\"article\":\"Special:MobileMenu\",\"views\":72046,\"rank\":33},{\"article\":\"Ronda_Rousey\",\"views\":65818,\"rank\":34},{\"article\":\"Gunfighter\",\"views\":64725,\"rank\":35},{\"article\":\"Diwali\",\"views\":62747,\"rank\":36},{\"article\":\"Stephen_Curry\",\"views\":57762,\"rank\":37},{\"article\":\"Jessica_Jones\",\"views\":56859,\"rank\":38},{\"article\":\"Star_Wars:_The_Force_Awakens\",\"views\":56405,\"rank\":39},{\"article\":\"1968\",\"views\":56377,\"rank\":40},{\"article\":\"Steve_Jobs\",\"views\":55309,\"rank\":41},{\"article\":\"Soylent_Communications\",\"views\":54298,\"rank\":42},{\"article\":\"American_Horror_Story:_Hotel\",\"views\":53442,\"rank\":43},{\"article\":\"Justin_Bieber\",\"views\":53076,\"rank\":44},{\"article\":\"Koprulu_Sector\",\"views\":52604,\"rank\":45},{\"article\":\"Pizza\",\"views\":51948,\"rank\":46},{\"article\":\"File:AQMI_Flag.svg\",\"views\":51906,\"rank\":47},{\"article\":\"November_13\",\"views\":50622,\"rank\":48},{\"article\":\"Uniform_resource_locator\",\"views\":50584,\"rank\":49},{\"article\":\"Special:CiteThisPage\",\"views\":50476,\"rank\":50},{\"article\":\"Made_in_the_A.M.\",\"views\":50448,\"rank\":51},{\"article\":\"List_of_Bollywood_films_of_2015\",\"views\":49444,\"rank\":52},{\"article\":\"Adele\",\"views\":48482,\"rank\":53},{\"article\":\"Special:RecentChanges\",\"views\":48356,\"rank\":54},{\"article\":\"Star_Wars\",\"views\":48310,\"rank\":55},{\"article\":\"File:PM_Modi_2015.jpg\",\"views\":47594,\"rank\":56},{\"article\":\"Krampus\",\"views\":47586,\"rank\":57},{\"article\":\"Survivor_Series_(2015)\",\"views\":47364,\"rank\":58},{\"article\":\"Phil_Taylor_(musician)\",\"views\":45165,\"rank\":59},{\"article\":\"Nathaniel_Marston\",\"views\":44882,\"rank\":60},{\"article\":\"United_States\",\"views\":44719,\"rank\":61},{\"article\":\"Daniel_Craig\",\"views\":44680,\"rank\":62},{\"article\":\"Portal:Current_events\",\"views\":44632,\"rank\":63},{\"article\":\"When_a_Man_Loves_a_Woman_(song)\",\"views\":44114,\"rank\":64},{\"article\":\"Children_in_Need\",\"views\":43711,\"rank\":65},{\"article\":\"Charlie_Hebdo_shooting\",\"views\":43549,\"rank\":66},{\"article\":\"Ddd\",\"views\":43077,\"rank\":67},{\"article\":\"Pauley_Perrette\",\"views\":42912,\"rank\":68},{\"article\":\"Missy_Elliott\",\"views\":42471,\"rank\":69},{\"article\":\"Vedalam\",\"views\":41736,\"rank\":70},{\"article\":\"Master_of_None\",\"views\":41005,\"rank\":71},{\"article\":\"Pablo_Escobar\",\"views\":40941,\"rank\":72},{\"article\":\"Shia_LaBeouf\",\"views\":40717,\"rank\":73},{\"article\":\"Heroes_Reborn_(miniseries)\",\"views\":40490,\"rank\":74},{\"article\":\"The_Weeknd\",\"views\":40372,\"rank\":75},{\"article\":\"UFC_193\",\"views\":40084,\"rank\":76},{\"article\":\"How_to_Get_Away_with_Murder\",\"views\":40081,\"rank\":77},{\"article\":\"Jennifer_Lawrence\",\"views\":39795,\"rank\":78},{\"article\":\"Eddie_Guerrero\",\"views\":39755,\"rank\":79},{\"article\":\"Ben_Carson\",\"views\":38034,\"rank\":80},{\"article\":\"Jawaharlal_Nehru\",\"views\":37887,\"rank\":81},{\"article\":\"Google\",\"views\":37150,\"rank\":82},{\"article\":\"Java_(programming_language)\",\"views\":37024,\"rank\":83},{\"article\":\"List_of_James_Bond_films\",\"views\":37003,\"rank\":84},{\"article\":\"Facebook\",\"views\":36984,\"rank\":85},{\"article\":\"Aung_San_Suu_Kyi\",\"views\":36602,\"rank\":86},{\"article\":\"Ford_Nucleon\",\"views\":36382,\"rank\":87},{\"article\":\"Holly_Holm\",\"views\":35859,\"rank\":88},{\"article\":\"Gwen_Stefani\",\"views\":35423,\"rank\":89},{\"article\":\"Ryan_Fitzpatrick\",\"views\":35343,\"rank\":90},{\"article\":\"Donald_Trump\",\"views\":35079,\"rank\":91},{\"article\":\"The_Hunger_Games\",\"views\":34871,\"rank\":92},{\"article\":\"Jonathan_Brandis\",\"views\":34845,\"rank\":93},{\"article\":\"One-Punch_Man\",\"views\":34794,\"rank\":94},{\"article\":\"YouTube\",\"views\":34462,\"rank\":95},{\"article\":\"Joseph_Lau\",\"views\":34131,\"rank\":96},{\"article\":\"David_Hasselhoff\",\"views\":33675,\"rank\":97},{\"article\":\"Fallout_(series)\",\"views\":33200,\"rank\":98},{\"article\":\"Tipu_Sultan\",\"views\":33065,\"rank\":99},{\"article\":\"Template:Time-UTC-API\",\"views\":32648,\"rank\":100},{\"article\":\"Dilwale_(2015_film)\",\"views\":32559,\"rank\":101},{\"article\":\"Cristiano_Ronaldo\",\"views\":32473,\"rank\":102},{\"article\":\"Brandon_Lee\",\"views\":32262,\"rank\":103},{\"article\":\"World_War_II\",\"views\":32219,\"rank\":104},{\"article\":\"Don_Quixote\",\"views\":32024,\"rank\":105},{\"article\":\"Rise_of_the_Tomb_Raider\",\"views\":31949,\"rank\":106},{\"article\":\"The_Undertaker\",\"views\":31769,\"rank\":107},{\"article\":\"Bordel_militaire_de_campagne\",\"views\":31749,\"rank\":108},{\"article\":\"Aziz_Ansari\",\"views\":31595,\"rank\":109},{\"article\":\"India\",\"views\":31457,\"rank\":110},{\"article\":\"Call_of_Duty:_Black_Ops_III\",\"views\":30997,\"rank\":111},{\"article\":\"File:Trump_cropped.jpg\",\"views\":30960,\"rank\":112},{\"article\":\"Friday_the_13th_(franchise)\",\"views\":30528,\"rank\":113},{\"article\":\"List_of_The_Big_Bang_Theory_episodes\",\"views\":30464,\"rank\":114},{\"article\":\"The_Walking_Dead_(season_6)\",\"views\":30318,\"rank\":115},{\"article\":\"The_Big_Bang_Theory_(season_9)\",\"views\":30293,\"rank\":116},{\"article\":\"Jessica_Jones_(TV_series)\",\"views\":30178,\"rank\":117},{\"article\":\"Salman_Khan\",\"views\":30164,\"rank\":118},{\"article\":\"Bhau-beej\",\"views\":30061,\"rank\":119},{\"article\":\"Bruce_Forsyth\",\"views\":29935,\"rank\":120},{\"article\":\"Rex_Ryan\",\"views\":29915,\"rank\":121},{\"article\":\"United_Kingdom\",\"views\":29862,\"rank\":122},{\"article\":\"Adolf_Hitler\",\"views\":29602,\"rank\":123},{\"article\":\"The_Walking_Dead_(TV_series)\",\"views\":29411,\"rank\":124},{\"article\":\"Rod_Stewart\",\"views\":29344,\"rank\":125},{\"article\":\"The_Incredible_True_Story\",\"views\":29316,\"rank\":126},{\"article\":\"List_of_The_Flash_(2014_TV_series)_episodes\",\"views\":29039,\"rank\":127},{\"article\":\"French_red_plan\",\"views\":29015,\"rank\":128},{\"article\":\"List_of_highest-grossing_Bollywood_films\",\"views\":28927,\"rank\":129},{\"article\":\"Barack_obama\",\"views\":28833,\"rank\":130},{\"article\":\"The_Big_Bang_Theory\",\"views\":28820,\"rank\":131},{\"article\":\"2015_in_film\",\"views\":28472,\"rank\":132},{\"article\":\"World_War_I\",\"views\":28447,\"rank\":133},{\"article\":\"Dwayne_Johnson\",\"views\":28383,\"rank\":134},{\"article\":\"Dermot_O'Leary\",\"views\":28243,\"rank\":135},{\"article\":\"William_Gibson\",\"views\":28216,\"rank\":136},{\"article\":\"The_Flash_(2014_TV_series)\",\"views\":28095,\"rank\":137},{\"article\":\"Operation_Wetback\",\"views\":28087,\"rank\":138},{\"article\":\"Léa_Seydoux\",\"views\":28075,\"rank\":139},{\"article\":\"Charlie_Sheen\",\"views\":27847,\"rank\":140},{\"article\":\"Help:IPA_for_English\",\"views\":27828,\"rank\":141},{\"article\":\"Mike_Tyson\",\"views\":27806,\"rank\":142},{\"article\":\"List_of_How_to_Get_Away_with_Murder_episodes\",\"views\":27800,\"rank\":143},{\"article\":\"2018_FIFA_World_Cup_qualification\",\"views\":27673,\"rank\":144},{\"article\":\"Márton_Fülöp\",\"views\":27616,\"rank\":145},{\"article\":\"Florent_Groberg\",\"views\":27425,\"rank\":146},{\"article\":\"Selena_Gomez\",\"views\":26950,\"rank\":147},{\"article\":\"Logic_(rapper)\",\"views\":26831,\"rank\":148},{\"article\":\"Mike_Singletary\",\"views\":26738,\"rank\":149},{\"article\":\"Star_Wars_Battlefront_(2015_video_game)\",\"views\":26582,\"rank\":150},{\"article\":\"2018_FIFA_World_Cup_qualification_(CONMEBOL)\",\"views\":26581,\"rank\":151},{\"article\":\"James_Bond\",\"views\":26574,\"rank\":152},{\"article\":\"Amber_Rose\",\"views\":26474,\"rank\":153},{\"article\":\"10th_arrondissement_of_Paris\",\"views\":26417,\"rank\":154},{\"article\":\"List_of_Arrow_episodes\",\"views\":26314,\"rank\":155},{\"article\":\"Gigi_Hadid\",\"views\":26295,\"rank\":156},{\"article\":\"Tyrod_Taylor\",\"views\":26218,\"rank\":157},{\"article\":\"Frank_Lentini\",\"views\":26205,\"rank\":158},{\"article\":\"Barack_Obama\",\"views\":26197,\"rank\":159},{\"article\":\"Overview_of_gun_laws_by_nation\",\"views\":26116,\"rank\":160},{\"article\":\"Scream_Queens_(2015_TV_series)\",\"views\":25832,\"rank\":161},{\"article\":\"Narendra_Modi\",\"views\":25768,\"rank\":162},{\"article\":\"Ellie_Goulding\",\"views\":25737,\"rank\":163},{\"article\":\"Josh_Homme\",\"views\":25652,\"rank\":164},{\"article\":\"One_Direction\",\"views\":25608,\"rank\":165},{\"article\":\"Frank_Beamer\",\"views\":25569,\"rank\":166},{\"article\":\"Hello_(Adele_song)\",\"views\":25568,\"rank\":167},{\"article\":\"Elizabeth_II\",\"views\":25290,\"rank\":168},{\"article\":\"Lionel_Messi\",\"views\":25190,\"rank\":169},{\"article\":\"Spartacus_(TV_series)\",\"views\":25168,\"rank\":170},{\"article\":\"Myanmar\",\"views\":25047,\"rank\":171},{\"article\":\"Template:Syrian_Civil_War_detailed_map\",\"views\":24973,\"rank\":172},{\"article\":\"Wikipedia\",\"views\":24940,\"rank\":173},{\"article\":\"John_Cena\",\"views\":24939,\"rank\":174},{\"article\":\"Fargo_(TV_series)\",\"views\":24926,\"rank\":175},{\"article\":\"Vincent_Asaro\",\"views\":24780,\"rank\":176},{\"article\":\"Motörhead\",\"views\":24664,\"rank\":177},{\"article\":\"Syrian_Civil_War\",\"views\":24544,\"rank\":178},{\"article\":\"Fearne_Cotton\",\"views\":24276,\"rank\":179},{\"article\":\"Clare_Bowen\",\"views\":24064,\"rank\":180},{\"article\":\"Charles_Manson\",\"views\":23621,\"rank\":181},{\"article\":\"Myanma_general_election,_2015\",\"views\":23597,\"rank\":182},{\"article\":\"Gino_D'Acampo\",\"views\":23490,\"rank\":183},{\"article\":\"France\",\"views\":23449,\"rank\":184},{\"article\":\"Paris\",\"views\":23367,\"rank\":185},{\"article\":\"Special:MobileOptions\",\"views\":23343,\"rank\":186},{\"article\":\"Typhoon_Gay_(1992)\",\"views\":23276,\"rank\":187},{\"article\":\"Helmut_Schmidt\",\"views\":23226,\"rank\":188},{\"article\":\"XXX\",\"views\":23189,\"rank\":189},{\"article\":\"Zoom_(comics)\",\"views\":23026,\"rank\":190},{\"article\":\"Thanksgiving\",\"views\":22996,\"rank\":191},{\"article\":\"Thoongaa_Vanam\",\"views\":22899,\"rank\":192},{\"article\":\"Arrow_(TV_series)\",\"views\":22766,\"rank\":193},{\"article\":\"Issei_Sagawa\",\"views\":22567,\"rank\":194},{\"article\":\"American_Horror_Story\",\"views\":22452,\"rank\":195},{\"article\":\"Linda_Lee_Cadwell\",\"views\":22394,\"rank\":196},{\"article\":\"How_to_Get_Away_with_Murder_(season_2)\",\"views\":22353,\"rank\":197},{\"article\":\"Black_Friday_(shopping)\",\"views\":22293,\"rank\":198},{\"article\":\"List_of_Naruto:_Shippuden_episodes\",\"views\":22199,\"rank\":199},{\"article\":\"SAirGroup\",\"views\":22154,\"rank\":200},{\"article\":\"Warwick_Davis\",\"views\":22096,\"rank\":201},{\"article\":\"Kip_Moore\",\"views\":22081,\"rank\":202},{\"article\":\"Stephen_Hawking\",\"views\":22074,\"rank\":203},{\"article\":\"Grey's_Anatomy\",\"views\":22064,\"rank\":204},{\"article\":\"Evander_Holyfield\",\"views\":21962,\"rank\":205},{\"article\":\"Fallout_3\",\"views\":21893,\"rank\":206},{\"article\":\"Analeigh_Tipton\",\"views\":21823,\"rank\":207},{\"article\":\"Drake_(rapper)\",\"views\":21802,\"rank\":208},{\"article\":\"Shannon_Lee\",\"views\":21471,\"rank\":209},{\"article\":\"Modern_Greek\",\"views\":21453,\"rank\":210},{\"article\":\"China\",\"views\":21435,\"rank\":211},{\"article\":\"Shonda_Rhimes\",\"views\":21250,\"rank\":212},{\"article\":\"Canada\",\"views\":21228,\"rank\":213},{\"article\":\"The_Blacklist_(TV_series)\",\"views\":21227,\"rank\":214},{\"article\":\"Caitlyn_Jenner\",\"views\":21177,\"rank\":215},{\"article\":\".rss\",\"views\":21157,\"rank\":216},{\"article\":\"Skyfall\",\"views\":21123,\"rank\":217},{\"article\":\"Taylor_Swift\",\"views\":21044,\"rank\":218},{\"article\":\"Bonnie_Langford\",\"views\":21009,\"rank\":219},{\"article\":\"Mario_Gaspar_Pérez\",\"views\":20875,\"rank\":220},{\"article\":\"Muhammad_Ali\",\"views\":20829,\"rank\":221},{\"article\":\"Ellen_DeGeneres\",\"views\":20812,\"rank\":222},{\"article\":\"Supergirl_(U.S._TV_series)\",\"views\":20668,\"rank\":223},{\"article\":\"Elizabeth_Banks\",\"views\":20222,\"rank\":224},{\"article\":\"Michael_Jackson\",\"views\":20142,\"rank\":225},{\"article\":\"Kim_Kardashian\",\"views\":20060,\"rank\":226},{\"article\":\"The_Man_in_the_High_Castle_(TV_series)\",\"views\":20033,\"rank\":227},{\"article\":\"File:US_Navy_100915-N-4790M-040_Lanier_Phillips,_left,_Bill_Cosby_and_Ed_LeBaron_pose_for_a_picture_before_receiving_the_Lone_Sailor_Award_at_the_Nation_(cropped_to_Cosby).jpg\",\"views\":20000,\"rank\":228},{\"article\":\"September_11_attacks\",\"views\":19965,\"rank\":229},{\"article\":\"Game_of_Thrones\",\"views\":19886,\"rank\":230},{\"article\":\"UEFA_Euro_2016_qualifying\",\"views\":19810,\"rank\":231},{\"article\":\"Sharon_Tate\",\"views\":19681,\"rank\":232},{\"article\":\"2009_NBA_draft\",\"views\":19655,\"rank\":233},{\"article\":\"2018_FIFA_World_Cup_qualification_(AFC)\",\"views\":19639,\"rank\":234},{\"article\":\"Quantico_(TV_series)\",\"views\":19629,\"rank\":235},{\"article\":\"Johnny_Depp\",\"views\":19624,\"rank\":236},{\"article\":\"London\",\"views\":19608,\"rank\":237},{\"article\":\"List_of_The_Walking_Dead_episodes\",\"views\":19594,\"rank\":238},{\"article\":\"Jesse_Hughes_(musician)\",\"views\":19574,\"rank\":239},{\"article\":\"List_of_highest-grossing_films\",\"views\":19522,\"rank\":240},{\"article\":\"Terminator_Genisys\",\"views\":19517,\"rank\":241},{\"article\":\"Chris_Kyle\",\"views\":19474,\"rank\":242},{\"article\":\"Lufthansa_heist\",\"views\":19449,\"rank\":243},{\"article\":\"Tupac_Shakur\",\"views\":19406,\"rank\":244},{\"article\":\"Leonardo_DiCaprio\",\"views\":19363,\"rank\":245},{\"article\":\"List_of_Presidents_of_the_United_States\",\"views\":19358,\"rank\":246},{\"article\":\"The_Hunger_Games:_Mockingjay_–_Part_2\",\"views\":19157,\"rank\":247},{\"article\":\"Eminem\",\"views\":19138,\"rank\":248},{\"article\":\"Fetty_Wap\",\"views\":19049,\"rank\":249},{\"article\":\"Albert_Einstein\",\"views\":19001,\"rank\":250},{\"article\":\"Blake_Shelton\",\"views\":18957,\"rank\":251},{\"article\":\"Vietnam_War\",\"views\":18945,\"rank\":252},{\"article\":\"List_of_Running_Man_episodes\",\"views\":18823,\"rank\":253},{\"article\":\"Triskaidekaphobia\",\"views\":18773,\"rank\":254},{\"article\":\"Baahubali:_The_Beginning\",\"views\":18740,\"rank\":255},{\"article\":\"Website\",\"views\":18700,\"rank\":256},{\"article\":\"Jason_Scott_Lee\",\"views\":18677,\"rank\":257},{\"article\":\"Monica_Bellucci\",\"views\":18612,\"rank\":258},{\"article\":\"Sunny_Leone\",\"views\":18568,\"rank\":259},{\"article\":\"The_33_(film)\",\"views\":18552,\"rank\":260},{\"article\":\"Illuminati\",\"views\":18549,\"rank\":261},{\"article\":\"The_Hunger_Games_(film_series)\",\"views\":18537,\"rank\":262},{\"article\":\"Australia\",\"views\":18527,\"rank\":263},{\"article\":\"List_of_The_Blacklist_episodes\",\"views\":18520,\"rank\":264},{\"article\":\"Portal:Contents\",\"views\":18497,\"rank\":265},{\"article\":\"The_Martian_(film)\",\"views\":18441,\"rank\":266},{\"article\":\"Sonam_Kapoor\",\"views\":18420,\"rank\":267},{\"article\":\"Jared_Fogle\",\"views\":18420,\"rank\":267},{\"article\":\"Wiki\",\"views\":18379,\"rank\":269},{\"article\":\"Ariana_Grande\",\"views\":18309,\"rank\":270},{\"article\":\"David_Warner_(cricketer)\",\"views\":18228,\"rank\":271},{\"article\":\"Meryl_Streep\",\"views\":18152,\"rank\":272},{\"article\":\"Bernie_Sanders\",\"views\":18132,\"rank\":273},{\"article\":\"Russia\",\"views\":18038,\"rank\":274},{\"article\":\"List_of_Grey's_Anatomy_episodes\",\"views\":17971,\"rank\":275},{\"article\":\"Alanis_Morissette\",\"views\":17919,\"rank\":276},{\"article\":\"Angelina_Jolie\",\"views\":17917,\"rank\":277},{\"article\":\"Diane_Keaton\",\"views\":17912,\"rank\":278},{\"article\":\"Joan_Crawford\",\"views\":17906,\"rank\":279},{\"article\":\"Michael_Jordan\",\"views\":17877,\"rank\":280},{\"article\":\"United_States_presidential_election,_2016\",\"views\":17827,\"rank\":281},{\"article\":\"Gotham_(TV_series)\",\"views\":17802,\"rank\":282},{\"article\":\"Germany\",\"views\":17765,\"rank\":283},{\"article\":\"Gavin_Rossdale\",\"views\":17724,\"rank\":284},{\"article\":\"11th_arrondissement_of_Paris\",\"views\":17639,\"rank\":285},{\"article\":\"Jennifer_Connelly\",\"views\":17638,\"rank\":286},{\"article\":\"Mia_Khalifa\",\"views\":17562,\"rank\":287},{\"article\":\"Carol_Doda\",\"views\":17545,\"rank\":288},{\"article\":\"The_X_Factor_(UK_series_12)\",\"views\":17545,\"rank\":288},{\"article\":\"Janitzio\",\"views\":17494,\"rank\":290},{\"article\":\"Jennifer_Aniston\",\"views\":17449,\"rank\":291},{\"article\":\"Shah_Rukh_Khan\",\"views\":17362,\"rank\":292},{\"article\":\"XXXX\",\"views\":17357,\"rank\":293},{\"article\":\"Zahia_Dehar\",\"views\":17345,\"rank\":294},{\"article\":\"Lorde\",\"views\":17334,\"rank\":295},{\"article\":\"Mary,_Queen_of_Scots\",\"views\":17321,\"rank\":296},{\"article\":\"The_Voice_(U.S._season_9)\",\"views\":17278,\"rank\":297},{\"article\":\"Inside_Out_(2015_film)\",\"views\":17272,\"rank\":298},{\"article\":\"Anneka_Rice\",\"views\":17228,\"rank\":299},{\"article\":\"William_Shakespeare\",\"views\":17164,\"rank\":300},{\"article\":\"The_Man_in_the_High_Castle\",\"views\":17115,\"rank\":301},{\"article\":\"Young_Jeezy\",\"views\":17025,\"rank\":302},{\"article\":\"Scandal_(TV_series)\",\"views\":17009,\"rank\":303},{\"article\":\"Justin_Trudeau\",\"views\":16975,\"rank\":304},{\"article\":\"David_Cameron\",\"views\":16869,\"rank\":305},{\"article\":\"Seven_deadly_sins\",\"views\":16867,\"rank\":306},{\"article\":\"Kendall_Jenner\",\"views\":16794,\"rank\":307},{\"article\":\"Tess_Daly\",\"views\":16775,\"rank\":308},{\"article\":\"Mahatma_Gandhi\",\"views\":16654,\"rank\":309},{\"article\":\"List_of_South_Park_episodes\",\"views\":16582,\"rank\":310},{\"article\":\"Karōshi\",\"views\":16566,\"rank\":311},{\"article\":\"Vladimir_Putin\",\"views\":16512,\"rank\":312},{\"article\":\"Singapore\",\"views\":16505,\"rank\":313},{\"article\":\"Gene_Wilder\",\"views\":16494,\"rank\":314},{\"article\":\"The_Hunger_Games_(film)\",\"views\":16486,\"rank\":315},{\"article\":\"Workers_compensation\",\"views\":16481,\"rank\":316},{\"article\":\"Internet_Movie_Database\",\"views\":16476,\"rank\":317},{\"article\":\"The_Vampire_Diaries_(season_7)\",\"views\":16447,\"rank\":318},{\"article\":\"New_York_City\",\"views\":16408,\"rank\":319},{\"article\":\"25_(Adele_album)\",\"views\":16399,\"rank\":320},{\"article\":\"Japan\",\"views\":16378,\"rank\":321},{\"article\":\"Harry_Potter\",\"views\":16362,\"rank\":322},{\"article\":\"Usman_Khawaja\",\"views\":16352,\"rank\":323},{\"article\":\"Knights_Templar\",\"views\":16347,\"rank\":324},{\"article\":\"2010_Copiapó_mining_accident\",\"views\":16343,\"rank\":325},{\"article\":\"Ernst_Stavro_Blofeld\",\"views\":16336,\"rank\":326},{\"article\":\"Children's_Day\",\"views\":16286,\"rank\":327},{\"article\":\"Nick_Grimshaw\",\"views\":16247,\"rank\":328},{\"article\":\"Are_You_the_One?\",\"views\":16245,\"rank\":329},{\"article\":\"The_Last_Kingdom_(TV_series)\",\"views\":16153,\"rank\":330},{\"article\":\"Michael_Fassbender\",\"views\":16134,\"rank\":331},{\"article\":\"Ant-Man_(film)\",\"views\":16072,\"rank\":332},{\"article\":\"Arnold_Schwarzenegger\",\"views\":16014,\"rank\":333},{\"article\":\"Paul_Bernardo\",\"views\":15948,\"rank\":334},{\"article\":\"Charlie_Hebdo\",\"views\":15932,\"rank\":335},{\"article\":\"Abraham_Lincoln\",\"views\":15894,\"rank\":336},{\"article\":\"Empire_(2015_TV_series)\",\"views\":15846,\"rank\":337},{\"article\":\"Richard_Osman\",\"views\":15815,\"rank\":338},{\"article\":\"The_Beatles\",\"views\":15785,\"rank\":339},{\"article\":\"Special:WhatLinksHere\",\"views\":15746,\"rank\":340},{\"article\":\"UEFA_Euro_2016\",\"views\":15677,\"rank\":341},{\"article\":\"Periodic_table\",\"views\":15660,\"rank\":342},{\"article\":\"Hate_Story_3\",\"views\":15627,\"rank\":343},{\"article\":\"The_Vampire_Diaries\",\"views\":15615,\"rank\":344},{\"article\":\"James_Burke_(gangster)\",\"views\":15590,\"rank\":345},{\"article\":\"Bill_Gates\",\"views\":15547,\"rank\":346},{\"article\":\"File:Gay_nov_20_1992_2115Z.jpg\",\"views\":15530,\"rank\":347},{\"article\":\"7_July_2005_London_bombings\",\"views\":15477,\"rank\":348},{\"article\":\"John_F._Kennedy\",\"views\":15432,\"rank\":349},{\"article\":\"Olivia_Wilde\",\"views\":15424,\"rank\":350},{\"article\":\"James_Foley_(journalist)\",\"views\":15420,\"rank\":351},{\"article\":\"List_of_most_viewed_YouTube_videos\",\"views\":15400,\"rank\":352},{\"article\":\"Tom_Cruise\",\"views\":15396,\"rank\":353},{\"article\":\"Electric_Light_Orchestra\",\"views\":15361,\"rank\":354},{\"article\":\"Lyme_disease\",\"views\":15343,\"rank\":355},{\"article\":\"Stade_de_France\",\"views\":15295,\"rank\":356},{\"article\":\"New_Zealand\",\"views\":15272,\"rank\":357},{\"article\":\"Sooraj_Barjatya\",\"views\":15268,\"rank\":358},{\"article\":\"Casino_Royale_(2006_film)\",\"views\":15268,\"rank\":358},{\"article\":\"2008_Mumbai_attacks\",\"views\":15261,\"rank\":360},{\"article\":\"Rachel_McAdams\",\"views\":15213,\"rank\":361},{\"article\":\"Whitey_Bulger\",\"views\":15211,\"rank\":362},{\"article\":\"Creed_(film)\",\"views\":15184,\"rank\":363},{\"article\":\"By_the_Sea_(2015_film)\",\"views\":15161,\"rank\":364},{\"article\":\"Amber_Heard\",\"views\":15098,\"rank\":365},{\"article\":\"Daniel_Radcliffe\",\"views\":15038,\"rank\":366},{\"article\":\"Christoph_Waltz\",\"views\":14998,\"rank\":367},{\"article\":\"Bajirao_Mastani_(film)\",\"views\":14947,\"rank\":368},{\"article\":\"Gods_of_Egypt_(film)\",\"views\":14938,\"rank\":369},{\"article\":\"Hillary_Clinton_presidential_campaign,_2016\",\"views\":14921,\"rank\":370},{\"article\":\"Whoopi_Goldberg\",\"views\":14895,\"rank\":371},{\"article\":\"Kalisto_(wrestler)\",\"views\":14865,\"rank\":372},{\"article\":\"Aman_Verma\",\"views\":14855,\"rank\":373},{\"article\":\"Cities_and_towns_during_the_Syrian_Civil_War\",\"views\":14843,\"rank\":374},{\"article\":\"Freddie_Mercury\",\"views\":14787,\"rank\":375},{\"article\":\"Amy_Schumer\",\"views\":14763,\"rank\":376},{\"article\":\"Freddie_Joe_Steinmark\",\"views\":14754,\"rank\":377},{\"article\":\"Elvis_Presley\",\"views\":14739,\"rank\":378},{\"article\":\"Jess_Glynne\",\"views\":14731,\"rank\":379},{\"article\":\"Interstellar_(film)\",\"views\":14599,\"rank\":380},{\"article\":\"Luke_Walton\",\"views\":14590,\"rank\":381},{\"article\":\"Ajith_Kumar\",\"views\":14572,\"rank\":382},{\"article\":\"Amy_Winehouse\",\"views\":14564,\"rank\":383},{\"article\":\"List_of_Gotham_episodes\",\"views\":14530,\"rank\":384},{\"article\":\"StarCraft_II:_Legacy_of_the_Void\",\"views\":14503,\"rank\":385},{\"article\":\"Terry_Wogan\",\"views\":14493,\"rank\":386},{\"article\":\"Captain_America:_Civil_War\",\"views\":14486,\"rank\":387},{\"article\":\"List_of_highest-grossing_Indian_films\",\"views\":14431,\"rank\":388},{\"article\":\"Fantasia_(1940_film)\",\"views\":14384,\"rank\":389},{\"article\":\"Todd_Bowles\",\"views\":14363,\"rank\":390},{\"article\":\"Spotlight_(film)\",\"views\":14345,\"rank\":391},{\"article\":\"Battle_of_Turnham_Green\",\"views\":14299,\"rank\":392},{\"article\":\"Ronald_Reagan\",\"views\":14290,\"rank\":393},{\"article\":\"Characters_of_StarCraft\",\"views\":14277,\"rank\":394},{\"article\":\"Special:GlobalUsage\",\"views\":14239,\"rank\":395},{\"article\":\"Sachin_Tendulkar\",\"views\":14218,\"rank\":396},{\"article\":\"Bridge_of_Spies_(film)\",\"views\":14188,\"rank\":397},{\"article\":\"Ted_Cruz\",\"views\":14168,\"rank\":398},{\"article\":\"Metrojet_Flight_9268\",\"views\":14164,\"rank\":399},{\"article\":\"Patrick_Swayze\",\"views\":14131,\"rank\":400},{\"article\":\"Tom_Brady\",\"views\":14103,\"rank\":401},{\"article\":\"Star_Wars_(film)\",\"views\":14101,\"rank\":402},{\"article\":\"Jeffrey_Dahmer\",\"views\":14089,\"rank\":403},{\"article\":\"Aramoana_massacre\",\"views\":14067,\"rank\":404},{\"article\":\"Kate_Winslet\",\"views\":14065,\"rank\":405},{\"article\":\"Harris_Wittels\",\"views\":14042,\"rank\":406},{\"article\":\"List_of_unusual_deaths\",\"views\":14042,\"rank\":406},{\"article\":\"Floyd_Mayweather,_Jr.\",\"views\":14041,\"rank\":408},{\"article\":\"Bob_Marley\",\"views\":14020,\"rank\":409},{\"article\":\"Veterans_Day\",\"views\":14004,\"rank\":410},{\"article\":\"Trafalgar_Square_Christmas_tree\",\"views\":13988,\"rank\":411},{\"article\":\"Sexual_intercourse\",\"views\":13922,\"rank\":412},{\"article\":\"List_of_countries_by_GDP_(nominal)\",\"views\":13901,\"rank\":413},{\"article\":\"Sean_Connery\",\"views\":13852,\"rank\":414},{\"article\":\"APEC_Philippines_2015\",\"views\":13834,\"rank\":415},{\"article\":\"Goodfellas\",\"views\":13788,\"rank\":416},{\"article\":\"Leonardo_da_Vinci\",\"views\":13784,\"rank\":417},{\"article\":\"Rachel_Weisz\",\"views\":13773,\"rank\":418},{\"article\":\"Maggie_Smith\",\"views\":13741,\"rank\":419},{\"article\":\"Krysten_Ritter\",\"views\":13733,\"rank\":420},{\"article\":\"WT1190F\",\"views\":13729,\"rank\":421},{\"article\":\"Marco_Rubio\",\"views\":13719,\"rank\":422},{\"article\":\"Quantum_of_Solace\",\"views\":13705,\"rank\":423},{\"article\":\"NATO_phonetic_alphabet\",\"views\":13671,\"rank\":424},{\"article\":\"Bigg_Boss_9\",\"views\":13633,\"rank\":425},{\"article\":\"Assassin's_Creed\",\"views\":13617,\"rank\":426},{\"article\":\"Jeff_Lynne\",\"views\":13617,\"rank\":426},{\"article\":\"Swara_Bhaskar\",\"views\":13615,\"rank\":428},{\"article\":\"Martin_Luther_King,_Jr.\",\"views\":13592,\"rank\":429},{\"article\":\"The_100_(TV_series)\",\"views\":13575,\"rank\":430},{\"article\":\"Gene_Roddenberry\",\"views\":13570,\"rank\":431},{\"article\":\"Jason_Voorhees\",\"views\":13558,\"rank\":432},{\"article\":\"Taurine\",\"views\":13501,\"rank\":433},{\"article\":\"Paris_Lees\",\"views\":13499,\"rank\":434},{\"article\":\"Hamilton_(musical)\",\"views\":13490,\"rank\":435},{\"article\":\"Dan_Bilzerian\",\"views\":13474,\"rank\":436},{\"article\":\"Bryan_Adams\",\"views\":13458,\"rank\":437},{\"article\":\"File:David_Cameron_official.jpg\",\"views\":13444,\"rank\":438},{\"article\":\"Walt_Disney\",\"views\":13432,\"rank\":439},{\"article\":\"Jurassic_World\",\"views\":13394,\"rank\":440},{\"article\":\"Syria\",\"views\":13381,\"rank\":441},{\"article\":\"Pat_Eddery\",\"views\":13379,\"rank\":442},{\"article\":\"England\",\"views\":13377,\"rank\":443},{\"article\":\"Turkey\",\"views\":13368,\"rank\":444},{\"article\":\"Eobard_Thawne\",\"views\":13362,\"rank\":445},{\"article\":\"Christie_Brinkley\",\"views\":13350,\"rank\":446},{\"article\":\"Julia_Roberts\",\"views\":13326,\"rank\":447},{\"article\":\"Elon_Musk\",\"views\":13308,\"rank\":448},{\"article\":\"Spain_national_football_team\",\"views\":13300,\"rank\":449},{\"article\":\"LeBron_James\",\"views\":13299,\"rank\":450},{\"article\":\"Ryan_Gosling\",\"views\":13293,\"rank\":451},{\"article\":\"Bosnia_and_Herzegovina\",\"views\":13287,\"rank\":452},{\"article\":\"Al_Capone\",\"views\":13260,\"rank\":453},{\"article\":\"America's_Next_Top_Model_(cycle_22)\",\"views\":13245,\"rank\":454},{\"article\":\"List_of_Super_Bowl_champions\",\"views\":13228,\"rank\":455},{\"article\":\"Brad_Pitt\",\"views\":13214,\"rank\":456},{\"article\":\"Koh-i-Noor\",\"views\":13188,\"rank\":457},{\"article\":\"Cara_Delevingne\",\"views\":13172,\"rank\":458},{\"article\":\"Pornhub\",\"views\":13162,\"rank\":459},{\"article\":\"Sia_Furler\",\"views\":13161,\"rank\":460},{\"article\":\"Fallout_(video_game)\",\"views\":13127,\"rank\":461},{\"article\":\"Guns_N'_Roses\",\"views\":13117,\"rank\":462},{\"article\":\"Portia_de_Rossi\",\"views\":13117,\"rank\":462},{\"article\":\"Sylvester_Stallone\",\"views\":13107,\"rank\":464},{\"article\":\"Franklin_D._Roosevelt\",\"views\":13069,\"rank\":465},{\"article\":\"Roberto_Durán\",\"views\":13065,\"rank\":466},{\"article\":\"Blindspot_(TV_series)\",\"views\":13033,\"rank\":467},{\"article\":\"The_Seven_Deadly_Sins_(manga)\",\"views\":13028,\"rank\":468},{\"article\":\"Israel\",\"views\":13007,\"rank\":469},{\"article\":\"Church_in_These_Streets\",\"views\":13005,\"rank\":470},{\"article\":\"Wikipedia:About\",\"views\":13000,\"rank\":471},{\"article\":\"Pakistan\",\"views\":12993,\"rank\":472},{\"article\":\"Elizabeth_I_of_England\",\"views\":12992,\"rank\":473},{\"article\":\"Diego_Costa\",\"views\":12955,\"rank\":474},{\"article\":\"Manisha_Koirala\",\"views\":12945,\"rank\":475},{\"article\":\"Noël_Wells\",\"views\":12945,\"rank\":475},{\"article\":\"State_of_emergency\",\"views\":12939,\"rank\":477},{\"article\":\"Buffalo_Bills\",\"views\":12936,\"rank\":478},{\"article\":\"Star_Wars_Episode_I:_The_Phantom_Menace\",\"views\":12935,\"rank\":479},{\"article\":\"Phil_\"Philthy_Animal\"_Taylor\",\"views\":12903,\"rank\":480},{\"article\":\"2018_FIFA_World_Cup_qualification_–_AFC_Second_Round\",\"views\":12901,\"rank\":481},{\"article\":\"Hong_Kong\",\"views\":12895,\"rank\":482},{\"article\":\"Wonders_of_the_World\",\"views\":12880,\"rank\":483},{\"article\":\"Once_Upon_a_Time_(TV_series)\",\"views\":12870,\"rank\":484},{\"article\":\"James_McAvoy\",\"views\":12861,\"rank\":485},{\"article\":\"2015_Beirut_bombings\",\"views\":12860,\"rank\":486},{\"article\":\"Antivirus_software\",\"views\":12847,\"rank\":487},{\"article\":\"Apple_Inc.\",\"views\":12845,\"rank\":488},{\"article\":\"HTTP_404\",\"views\":12842,\"rank\":489},{\"article\":\"Hillary_Clinton\",\"views\":12830,\"rank\":490},{\"article\":\"Marilyn_Monroe\",\"views\":12811,\"rank\":491},{\"article\":\"Heath_Ledger\",\"views\":12803,\"rank\":492},{\"article\":\"Alexander_Hamilton\",\"views\":12802,\"rank\":493},{\"article\":\"Steve_Jobs_(2015_film)\",\"views\":12799,\"rank\":494},{\"article\":\"List_of_The_Vampire_Diaries_episodes\",\"views\":12798,\"rank\":495},{\"article\":\"Lady_Gaga\",\"views\":12785,\"rank\":496},{\"article\":\"Lil_Wayne\",\"views\":12768,\"rank\":497},{\"article\":\"George_Clooney\",\"views\":12767,\"rank\":498},{\"article\":\"Abu_Bakr_al-Baghdadi\",\"views\":12754,\"rank\":499},{\"article\":\"Dave_Bautista\",\"views\":12752,\"rank\":500},{\"article\":\"Bajrangi_Bhaijaan\",\"views\":12752,\"rank\":500},{\"article\":\"Ashoka\",\"views\":12736,\"rank\":502},{\"article\":\"2_Broke_Girls\",\"views\":12732,\"rank\":503},{\"article\":\"Jack_Falahee\",\"views\":12718,\"rank\":504},{\"article\":\"Tom_Hanks\",\"views\":12713,\"rank\":505},{\"article\":\"Kanye_West\",\"views\":12703,\"rank\":506},{\"article\":\"Emilia_Clarke\",\"views\":12694,\"rank\":507},{\"article\":\"Thanksgiving_(United_States)\",\"views\":12685,\"rank\":508},{\"article\":\"Scientology\",\"views\":12684,\"rank\":509},{\"article\":\"MythBusters\",\"views\":12683,\"rank\":510},{\"article\":\"Kylie_Jenner\",\"views\":12650,\"rank\":511},{\"article\":\"American_Civil_War\",\"views\":12648,\"rank\":512},{\"article\":\"Tabitha_Stevens\",\"views\":12616,\"rank\":513},{\"article\":\"Prince_(musician)\",\"views\":12598,\"rank\":514},{\"article\":\"Bill_Clinton\",\"views\":12594,\"rank\":515},{\"article\":\"Supernatural_(U.S._TV_series)\",\"views\":12590,\"rank\":516},{\"article\":\"Boeing_B-52_Stratofortress\",\"views\":12564,\"rank\":517},{\"article\":\"Vin_Diesel\",\"views\":12562,\"rank\":518},{\"article\":\"Suicide_Squad_(film)\",\"views\":12561,\"rank\":519},{\"article\":\"Narcos\",\"views\":12546,\"rank\":520},{\"article\":\"The_Peanuts_Movie\",\"views\":12539,\"rank\":521},{\"article\":\"Scarlett_Johansson\",\"views\":12525,\"rank\":522},{\"article\":\"Mozhan_Marnò\",\"views\":12446,\"rank\":523},{\"article\":\"Netherlands\",\"views\":12441,\"rank\":524},{\"article\":\"Breaking_Bad\",\"views\":12436,\"rank\":525},{\"article\":\"Millennials\",\"views\":12435,\"rank\":526},{\"article\":\"Downton_Abbey\",\"views\":12410,\"rank\":527},{\"article\":\"Frank_Sinatra\",\"views\":12406,\"rank\":528},{\"article\":\"Amdahl's_law\",\"views\":12358,\"rank\":529},{\"article\":\"Dr._Dre\",\"views\":12337,\"rank\":530},{\"article\":\"S-mine\",\"views\":12329,\"rank\":531},{\"article\":\"File:Terry_Wogan_MBE_Investiture_cropped.jpg\",\"views\":12319,\"rank\":532},{\"article\":\"UEFA_Euro_2016_qualifying_play-offs\",\"views\":12308,\"rank\":533},{\"article\":\"Philippines\",\"views\":12261,\"rank\":534},{\"article\":\"Ron_Jeremy\",\"views\":12255,\"rank\":535},{\"article\":\"Robin_Williams\",\"views\":12248,\"rank\":536},{\"article\":\"Mark_Zuckerberg\",\"views\":12228,\"rank\":537},{\"article\":\"Henry_VIII_of_England\",\"views\":12223,\"rank\":538},{\"article\":\"File:Answers_in_Genesis_(logo).gif\",\"views\":12213,\"rank\":539},{\"article\":\"Theodore_Roosevelt\",\"views\":12212,\"rank\":540},{\"article\":\"Friday_The_13th\",\"views\":12203,\"rank\":541},{\"article\":\"Friends\",\"views\":12184,\"rank\":542},{\"article\":\"Harrison_Ford\",\"views\":12180,\"rank\":543},{\"article\":\"Lemmy\",\"views\":12160,\"rank\":544},{\"article\":\"Doctor_Who\",\"views\":12152,\"rank\":545},{\"article\":\"George_Washington\",\"views\":12146,\"rank\":546},{\"article\":\"Ed_Sheeran\",\"views\":12137,\"rank\":547},{\"article\":\"Guam\",\"views\":12134,\"rank\":548},{\"article\":\"Joey_+_Rory\",\"views\":12133,\"rank\":549},{\"article\":\"Jeffrey_Dean_Morgan\",\"views\":12125,\"rank\":550},{\"article\":\"Ku_Klux_Klan\",\"views\":12123,\"rank\":551},{\"article\":\"2015_Île-de-France_attacks\",\"views\":12121,\"rank\":552},{\"article\":\"Death_of_Otávio_Jordão_da_Silva\",\"views\":12093,\"rank\":553},{\"article\":\"Android_version_history\",\"views\":12080,\"rank\":554},{\"article\":\"Tom_Hardy\",\"views\":12078,\"rank\":555},{\"article\":\"Young_Thug\",\"views\":12078,\"rank\":555},{\"article\":\"My_All-American\",\"views\":12068,\"rank\":557},{\"article\":\"Will_Smith\",\"views\":12058,\"rank\":558},{\"article\":\"The_Man_from_U.N.C.L.E._(film)\",\"views\":12032,\"rank\":559},{\"article\":\"Star_Wars_Rebels\",\"views\":12031,\"rank\":560},{\"article\":\"Medal_of_Honor\",\"views\":12019,\"rank\":561},{\"article\":\"Nikola_Tesla\",\"views\":12007,\"rank\":562},{\"article\":\"Arrondissements_of_Paris\",\"views\":11997,\"rank\":563},{\"article\":\"Jamie_Vardy\",\"views\":11985,\"rank\":564},{\"article\":\"The_Lady_in_the_Van\",\"views\":11962,\"rank\":565},{\"article\":\"Robert_De_Niro\",\"views\":11931,\"rank\":566},{\"article\":\"Bangladesh\",\"views\":11924,\"rank\":567},{\"article\":\"Priyanka_Chopra\",\"views\":11921,\"rank\":568},{\"article\":\"She_Was_Pretty\",\"views\":11918,\"rank\":569},{\"article\":\"List_of_Downton_Abbey_episodes\",\"views\":11911,\"rank\":570},{\"article\":\"Trainwreck_(film)\",\"views\":11899,\"rank\":571},{\"article\":\"Madonna_(entertainer)\",\"views\":11858,\"rank\":572},{\"article\":\"Brittany_Murphy\",\"views\":11831,\"rank\":573},{\"article\":\"Elle_King\",\"views\":11816,\"rank\":574},{\"article\":\"Ottoman_Empire\",\"views\":11807,\"rank\":575},{\"article\":\"Alexander_the_Great\",\"views\":11795,\"rank\":576},{\"article\":\"Ivy_League\",\"views\":11795,\"rank\":576},{\"article\":\"List_of_Test_cricket_records\",\"views\":11783,\"rank\":578},{\"article\":\"Krampus_(film)\",\"views\":11781,\"rank\":579},{\"article\":\"Warcraft_(film)\",\"views\":11778,\"rank\":580},{\"article\":\"Jane_the_Virgin\",\"views\":11769,\"rank\":581},{\"article\":\"Call_of_Duty\",\"views\":11761,\"rank\":582},{\"article\":\"Emma_Watson\",\"views\":11749,\"rank\":583},{\"article\":\"Lycos\",\"views\":11746,\"rank\":584},{\"article\":\"List_of_Walt_Disney_Pictures_films\",\"views\":11739,\"rank\":585},{\"article\":\"Android_(operating_system)\",\"views\":11728,\"rank\":586},{\"article\":\"Agents_of_S.H.I.E.L.D.\",\"views\":11722,\"rank\":587},{\"article\":\"Abigail_and_Brittany_Hensel\",\"views\":11710,\"rank\":588},{\"article\":\"Supernatural_(season_11)\",\"views\":11710,\"rank\":588},{\"article\":\"Tamasha_(film)\",\"views\":11701,\"rank\":590},{\"article\":\"Remembrance_Day\",\"views\":11685,\"rank\":591},{\"article\":\"Carrie_Fisher\",\"views\":11663,\"rank\":592},{\"article\":\"50_Cent\",\"views\":11660,\"rank\":593},{\"article\":\"Henry_Hill\",\"views\":11659,\"rank\":594},{\"article\":\"Alpha_(ethology)\",\"views\":11654,\"rank\":595},{\"article\":\"Pagani_Zonda\",\"views\":11650,\"rank\":596},{\"article\":\"Mount_Everest\",\"views\":11642,\"rank\":597},{\"article\":\"Islam\",\"views\":11631,\"rank\":598},{\"article\":\"Little_Mix\",\"views\":11621,\"rank\":599},{\"article\":\"Maze_Runner:_The_Scorch_Trials\",\"views\":11615,\"rank\":600},{\"article\":\"Machine_Gun_Kelly_(rapper)\",\"views\":11612,\"rank\":601},{\"article\":\"Sam_Smith_(singer)\",\"views\":11612,\"rank\":601},{\"article\":\"Brazil\",\"views\":11612,\"rank\":601},{\"article\":\"John_Lennon\",\"views\":11600,\"rank\":604},{\"article\":\"Eric_Decker\",\"views\":11593,\"rank\":605},{\"article\":\"Modern_Family\",\"views\":11552,\"rank\":606},{\"article\":\"Happy_New_Year_(2014_film)\",\"views\":11546,\"rank\":607},{\"article\":\"Neymar\",\"views\":11545,\"rank\":608},{\"article\":\"Dubai\",\"views\":11544,\"rank\":609},{\"article\":\"Dancing_with_the_Stars_(U.S._season_21)\",\"views\":11540,\"rank\":610},{\"article\":\"Flying_Spaghetti_Monster\",\"views\":11528,\"rank\":611},{\"article\":\"Crimson_Peak\",\"views\":11525,\"rank\":612},{\"article\":\"List_of_Doctor_Who_serials\",\"views\":11523,\"rank\":613},{\"article\":\"Turboencabulator\",\"views\":11511,\"rank\":614},{\"article\":\"Natalie_Portman\",\"views\":11510,\"rank\":615},{\"article\":\"Friday_the_13th_(1980_film)\",\"views\":11498,\"rank\":616},{\"article\":\"United_Arab_Emirates\",\"views\":11488,\"rank\":617},{\"article\":\"Bradley_Cooper\",\"views\":11455,\"rank\":618},{\"article\":\"The_Blacklist_(season_3)\",\"views\":11419,\"rank\":619},{\"article\":\"Psychopathy\",\"views\":11419,\"rank\":619},{\"article\":\"Rihanna\",\"views\":11411,\"rank\":621},{\"article\":\"File:Jason_Biggs_at_Paley_Fest_Orange_Is_The_New_Black.jpg\",\"views\":11410,\"rank\":622},{\"article\":\"Joseph_Stalin\",\"views\":11407,\"rank\":623},{\"article\":\"List_of_Steven_Universe_episodes\",\"views\":11405,\"rank\":624},{\"article\":\"Gucci_Mane\",\"views\":11401,\"rank\":625},{\"article\":\"Allen_Toussaint\",\"views\":11395,\"rank\":626},{\"article\":\"Mexico\",\"views\":11394,\"rank\":627},{\"article\":\"Vodafone\",\"views\":11389,\"rank\":628},{\"article\":\"Bob_Ross\",\"views\":11382,\"rank\":629},{\"article\":\"Homeland_(season_5)\",\"views\":11375,\"rank\":630},{\"article\":\"Golden_State_Warriors\",\"views\":11368,\"rank\":631},{\"article\":\"Ben_Whishaw\",\"views\":11349,\"rank\":632},{\"article\":\"Emma_Roberts\",\"views\":11329,\"rank\":633},{\"article\":\"Mark_Hamill\",\"views\":11318,\"rank\":634},{\"article\":\"Homeopathy\",\"views\":11311,\"rank\":635},{\"article\":\"Colectiv_nightclub_fire\",\"views\":11309,\"rank\":636},{\"article\":\"RMS_Titanic\",\"views\":11308,\"rank\":637},{\"article\":\"Finding_Dory\",\"views\":11298,\"rank\":638},{\"article\":\"PlayStation_4\",\"views\":11293,\"rank\":639},{\"article\":\"Mr._Robot_(TV_series)\",\"views\":11275,\"rank\":640},{\"article\":\"Christine_and_the_Queens\",\"views\":11274,\"rank\":641},{\"article\":\"Hydrogen\",\"views\":11260,\"rank\":642},{\"article\":\"James_Bond_filmography\",\"views\":11256,\"rank\":643},{\"article\":\"AK-47\",\"views\":11253,\"rank\":644},{\"article\":\"Alan_Yang\",\"views\":11246,\"rank\":645},{\"article\":\"Tyler_Johnson_(basketball)\",\"views\":11221,\"rank\":646},{\"article\":\"Benedict_Cumberbatch\",\"views\":11214,\"rank\":647},{\"article\":\"Jean-Claude_Van_Damme\",\"views\":11191,\"rank\":648},{\"article\":\"Assassin's_Creed_Syndicate\",\"views\":11186,\"rank\":649},{\"article\":\"Website_template\",\"views\":11174,\"rank\":650},{\"article\":\"Darth_Vader\",\"views\":11173,\"rank\":651},{\"article\":\"Brooklyn_Bridge\",\"views\":11167,\"rank\":652},{\"article\":\"Kane_(wrestler)\",\"views\":11166,\"rank\":653},{\"article\":\"Kaley_Cuoco\",\"views\":11164,\"rank\":654},{\"article\":\"Hailee_Steinfeld\",\"views\":11158,\"rank\":655},{\"article\":\"Avengers:_Age_of_Ultron\",\"views\":11144,\"rank\":656},{\"article\":\"South_Africa\",\"views\":11141,\"rank\":657},{\"article\":\"Batman_v_Superman:_Dawn_of_Justice\",\"views\":11138,\"rank\":658},{\"article\":\"George_W._Bush\",\"views\":11135,\"rank\":659},{\"article\":\"List_of_Victoria's_Secret_models\",\"views\":11123,\"rank\":660},{\"article\":\"Liam_Hemsworth\",\"views\":11116,\"rank\":661},{\"article\":\"Queen_Victoria\",\"views\":11095,\"rank\":662},{\"article\":\"Dwight_D._Eisenhower\",\"views\":11081,\"rank\":663},{\"article\":\"Christina_Milian\",\"views\":11072,\"rank\":664},{\"article\":\"SPECTRE\",\"views\":11063,\"rank\":665},{\"article\":\"Yolanda_Foster\",\"views\":11059,\"rank\":666},{\"article\":\"Chris_Hemsworth\",\"views\":11053,\"rank\":667},{\"article\":\"European_Union\",\"views\":11040,\"rank\":668},{\"article\":\"Halsey_(singer)\",\"views\":11035,\"rank\":669},{\"article\":\"Democratic_Party_presidential_debates,_2016\",\"views\":11028,\"rank\":670},{\"article\":\"Zayn_Malik\",\"views\":11028,\"rank\":670},{\"article\":\"Muhammad\",\"views\":11024,\"rank\":672},{\"article\":\"Taiwan\",\"views\":11010,\"rank\":673},{\"article\":\"Ash_vs._Evil_Dead\",\"views\":11009,\"rank\":674},{\"article\":\"Claire_Danes\",\"views\":11003,\"rank\":675},{\"article\":\"Estadio_José_Rico_Pérez\",\"views\":10986,\"rank\":676},{\"article\":\"List_of_terrorist_incidents_in_France\",\"views\":10965,\"rank\":677},{\"article\":\"Paul_Walker\",\"views\":10963,\"rank\":678},{\"article\":\"Isaac_Newton\",\"views\":10943,\"rank\":679},{\"article\":\"Free_TC\",\"views\":10937,\"rank\":680},{\"article\":\"Lebanon\",\"views\":10936,\"rank\":681},{\"article\":\"November_14\",\"views\":10935,\"rank\":682},{\"article\":\"South_Park_(season_19)\",\"views\":10935,\"rank\":682},{\"article\":\"Pierce_Brosnan\",\"views\":10927,\"rank\":684},{\"article\":\"Portal:Featured_content\",\"views\":10925,\"rank\":685},{\"article\":\"American_Horror_Story:_Freak_Show\",\"views\":10925,\"rank\":685},{\"article\":\"Adam_Levine\",\"views\":10911,\"rank\":687},{\"article\":\"Greek_alphabet\",\"views\":10903,\"rank\":688},{\"article\":\"The_Departed\",\"views\":10894,\"rank\":689},{\"article\":\"Napoleon\",\"views\":10881,\"rank\":690},{\"article\":\"English_language\",\"views\":10876,\"rank\":691},{\"article\":\"California\",\"views\":10863,\"rank\":692},{\"article\":\"John_Stamos\",\"views\":10862,\"rank\":693},{\"article\":\"The_Originals_(TV_series)\",\"views\":10839,\"rank\":694},{\"article\":\"Limitless_(TV_series)\",\"views\":10838,\"rank\":695},{\"article\":\"The_Revenant_(2015_film)\",\"views\":10835,\"rank\":696},{\"article\":\"A._P._J._Abdul_Kalam\",\"views\":10830,\"rank\":697},{\"article\":\"Murder_of_Becky_Watts\",\"views\":10822,\"rank\":698},{\"article\":\"Blade_Runner\",\"views\":10819,\"rank\":699},{\"article\":\"The_Player_(2015_TV_series)\",\"views\":10816,\"rank\":700},{\"article\":\"Soviet_Union\",\"views\":10804,\"rank\":701},{\"article\":\"David_Bowie\",\"views\":10788,\"rank\":702},{\"article\":\"Akhil_(film)\",\"views\":10762,\"rank\":703},{\"article\":\"Sunny_Lane\",\"views\":10755,\"rank\":704},{\"article\":\"Christopher_Columbus\",\"views\":10751,\"rank\":705},{\"article\":\"Buddhism\",\"views\":10733,\"rank\":706},{\"article\":\"National_Gendarmerie_Intervention_Group\",\"views\":10721,\"rank\":707},{\"article\":\"Scandal_(season_5)\",\"views\":10719,\"rank\":708},{\"article\":\"Chris_Stapleton\",\"views\":10712,\"rank\":709},{\"article\":\"Kurt_Cobain\",\"views\":10706,\"rank\":710},{\"article\":\"Alfred_the_Great\",\"views\":10702,\"rank\":711},{\"article\":\"Saoirse_Ronan\",\"views\":10701,\"rank\":712},{\"article\":\"Miracles_from_Heaven_(film)\",\"views\":10700,\"rank\":713},{\"article\":\"Stanford_prison_experiment\",\"views\":10697,\"rank\":714},{\"article\":\"Horus\",\"views\":10690,\"rank\":715},{\"article\":\"Standard_deviation\",\"views\":10685,\"rank\":716},{\"article\":\"Nigeria\",\"views\":10685,\"rank\":716},{\"article\":\"Yazidis\",\"views\":10671,\"rank\":718},{\"article\":\"Eazy-E\",\"views\":10651,\"rank\":719},{\"article\":\"Zlatan_Ibrahimović\",\"views\":10650,\"rank\":720},{\"article\":\"Heysel_Stadium_disaster\",\"views\":10635,\"rank\":721},{\"article\":\"Mila_Kunis\",\"views\":10608,\"rank\":722},{\"article\":\"David_Beckham\",\"views\":10603,\"rank\":723},{\"article\":\"England_national_football_team\",\"views\":10589,\"rank\":724},{\"article\":\"Sweden\",\"views\":10578,\"rank\":725},{\"article\":\"Moby-Dick\",\"views\":10576,\"rank\":726},{\"article\":\"Secret_in_Their_Eyes\",\"views\":10576,\"rank\":726},{\"article\":\"List_of_Xbox_360_games_compatible_with_Xbox_One\",\"views\":10570,\"rank\":728},{\"article\":\"List_of_HTTP_status_codes\",\"views\":10554,\"rank\":729},{\"article\":\"Switzerland\",\"views\":10537,\"rank\":730},{\"article\":\"Megan_Fox\",\"views\":10534,\"rank\":731},{\"article\":\"File:RexRyan2015camp_(cropped).jpg\",\"views\":10523,\"rank\":732},{\"article\":\"Melissa_Benoist\",\"views\":10522,\"rank\":733},{\"article\":\"Kat_Dennings\",\"views\":10519,\"rank\":734},{\"article\":\"Wembley_Stadium\",\"views\":10516,\"rank\":735},{\"article\":\"Alan_Turing\",\"views\":10512,\"rank\":736},{\"article\":\"Bosnia_and_Herzegovina_national_football_team\",\"views\":10510,\"rank\":737},{\"article\":\"Miley_Cyrus\",\"views\":10509,\"rank\":738},{\"article\":\"Indonesia\",\"views\":10506,\"rank\":739},{\"article\":\"2018_FIFA_World_Cup_qualification_(CAF)\",\"views\":10501,\"rank\":740},{\"article\":\"Template:Iraqi_insurgency_detailed_map\",\"views\":10494,\"rank\":741},{\"article\":\"Amazon.com\",\"views\":10486,\"rank\":742},{\"article\":\"Alessia_Cara\",\"views\":10485,\"rank\":743},{\"article\":\"Harry_Potter_(film_series)\",\"views\":10485,\"rank\":743},{\"article\":\"NCIS_(TV_series)\",\"views\":10480,\"rank\":745},{\"article\":\"Sherlock_(TV_series)\",\"views\":10477,\"rank\":746},{\"article\":\"AGM-114_Hellfire\",\"views\":10466,\"rank\":747},{\"article\":\"Europe\",\"views\":10460,\"rank\":748},{\"article\":\"Schizophrenia\",\"views\":10457,\"rank\":749},{\"article\":\"Atomic_bombings_of_Hiroshima_and_Nagasaki\",\"views\":10451,\"rank\":750},{\"article\":\"List_of_Scandal_episodes\",\"views\":10445,\"rank\":751},{\"article\":\"Internet\",\"views\":10437,\"rank\":752},{\"article\":\"Peter_Freuchen\",\"views\":10423,\"rank\":753},{\"article\":\"Rochelle_Rao\",\"views\":10423,\"rank\":753},{\"article\":\"Jesus\",\"views\":10419,\"rank\":755},{\"article\":\"Fallout:_New_Vegas\",\"views\":10397,\"rank\":756},{\"article\":\"Kris_Jenner\",\"views\":10393,\"rank\":757},{\"article\":\"South_Park\",\"views\":10383,\"rank\":758},{\"article\":\"Robert_Hansen\",\"views\":10365,\"rank\":759},{\"article\":\"Christmas\",\"views\":10353,\"rank\":760},{\"article\":\"List_of_United_States_cities_by_population\",\"views\":10351,\"rank\":761},{\"article\":\"Stephen_Merchant\",\"views\":10346,\"rank\":762},{\"article\":\"Spain\",\"views\":10345,\"rank\":763},{\"article\":\"Marlon_Brando\",\"views\":10343,\"rank\":764},{\"article\":\"File:Planned_Parenthood_logo.svg\",\"views\":10342,\"rank\":765},{\"article\":\"Yuvraj_Singh\",\"views\":10337,\"rank\":766},{\"article\":\"Vagina\",\"views\":10333,\"rank\":767},{\"article\":\"Mary-Louise_Parker\",\"views\":10319,\"rank\":768},{\"article\":\"Dragon_Ball_Super\",\"views\":10318,\"rank\":769},{\"article\":\"Brooklyn_(film)\",\"views\":10316,\"rank\":770},{\"article\":\"Animal_magnetism\",\"views\":10312,\"rank\":771},{\"article\":\"Netflix\",\"views\":10310,\"rank\":772},{\"article\":\"List_of_American_Horror_Story_episodes\",\"views\":10294,\"rank\":773},{\"article\":\"Jake_Lloyd\",\"views\":10291,\"rank\":774},{\"article\":\"Cold_War\",\"views\":10268,\"rank\":775},{\"article\":\"Nicki_Minaj\",\"views\":10255,\"rank\":776},{\"article\":\"Blake_Lively\",\"views\":10239,\"rank\":777},{\"article\":\"Kuch_Kuch_Hota_Hai\",\"views\":10237,\"rank\":778},{\"article\":\"Beyoncé\",\"views\":10233,\"rank\":779},{\"article\":\"Ryan_Reynolds\",\"views\":10227,\"rank\":780},{\"article\":\"2_Girls_1_Cup\",\"views\":10210,\"rank\":781},{\"article\":\"Channing_Tatum\",\"views\":10199,\"rank\":782},{\"article\":\"Fascism\",\"views\":10188,\"rank\":783},{\"article\":\"Iceland\",\"views\":10187,\"rank\":784},{\"article\":\"Asperger_syndrome\",\"views\":10184,\"rank\":785},{\"article\":\"Chris_Pratt\",\"views\":10173,\"rank\":786},{\"article\":\"Dell_Curry\",\"views\":10170,\"rank\":787},{\"article\":\"The_Leftovers_(TV_series)\",\"views\":10165,\"rank\":788},{\"article\":\"Masturbation\",\"views\":10162,\"rank\":789},{\"article\":\"Everest_(2015_film)\",\"views\":10162,\"rank\":789},{\"article\":\"The_dress_(viral_phenomenon)\",\"views\":10141,\"rank\":791},{\"article\":\"Sugar_Ray_Leonard\",\"views\":10140,\"rank\":792},{\"article\":\"Thomas_Jefferson\",\"views\":10138,\"rank\":793},{\"article\":\"Pornography\",\"views\":10122,\"rank\":794},{\"article\":\"Windows_10\",\"views\":10110,\"rank\":795},{\"article\":\"BDSM\",\"views\":10109,\"rank\":796},{\"article\":\"Tramadol\",\"views\":10105,\"rank\":797},{\"article\":\"Taj_Mahal\",\"views\":10097,\"rank\":798},{\"article\":\"Agents_of_S.H.I.E.L.D._(season_3)\",\"views\":10090,\"rank\":799},{\"article\":\"Return_of_the_Jedi\",\"views\":10079,\"rank\":800},{\"article\":\"Bermuda_Triangle\",\"views\":10065,\"rank\":801},{\"article\":\"Bitcoin\",\"views\":10063,\"rank\":802},{\"article\":\"World_Kindness_Day\",\"views\":10061,\"rank\":803},{\"article\":\"3LW\",\"views\":10060,\"rank\":804},{\"article\":\"General_Atomics_MQ-9_Reaper\",\"views\":10048,\"rank\":805},{\"article\":\"François_Hollande\",\"views\":10045,\"rank\":806},{\"article\":\"Italy\",\"views\":10042,\"rank\":807},{\"article\":\"Twitter\",\"views\":10032,\"rank\":808},{\"article\":\"Saudi_Arabia\",\"views\":10013,\"rank\":809},{\"article\":\"Katrina_Kaif\",\"views\":9994,\"rank\":810},{\"article\":\"Oak_Island\",\"views\":9987,\"rank\":811},{\"article\":\"Day_of_the_Dead\",\"views\":9987,\"rank\":811},{\"article\":\"Clint_Eastwood\",\"views\":9987,\"rank\":811},{\"article\":\"Quentin_Tarantino\",\"views\":9985,\"rank\":814},{\"article\":\"Sleepy_Hollow_(TV_series)\",\"views\":9978,\"rank\":815},{\"article\":\"List_of_TCP_and_UDP_port_numbers\",\"views\":9972,\"rank\":816},{\"article\":\"Robert_Kardashian\",\"views\":9969,\"rank\":817},{\"article\":\"Keanu_Reeves\",\"views\":9966,\"rank\":818},{\"article\":\"Legends_of_Tomorrow\",\"views\":9963,\"rank\":819},{\"article\":\"Germany_national_football_team\",\"views\":9957,\"rank\":820},{\"article\":\"Justin_Timberlake\",\"views\":9955,\"rank\":821},{\"article\":\"Vikings_(TV_series)\",\"views\":9954,\"rank\":822},{\"article\":\"The_Gift_(2015_film)\",\"views\":9943,\"rank\":823},{\"article\":\"Box–Jenkins\",\"views\":9937,\"rank\":824},{\"article\":\"The_Good_Dinosaur\",\"views\":9927,\"rank\":825},{\"article\":\"Dragon:_The_Bruce_Lee_Story\",\"views\":9922,\"rank\":826},{\"article\":\"Roman_Reigns\",\"views\":9918,\"rank\":827},{\"article\":\"House_of_Cards_(U.S._TV_series)\",\"views\":9917,\"rank\":828},{\"article\":\"Vietnam\",\"views\":9910,\"rank\":829},{\"article\":\"Tomorrowland_(film)\",\"views\":9910,\"rank\":829},{\"article\":\"Kobe_Bryant\",\"views\":9908,\"rank\":831},{\"article\":\"Macaulay_Culkin\",\"views\":9901,\"rank\":832},{\"article\":\"Malala_Yousafzai\",\"views\":9901,\"rank\":832},{\"article\":\"Movember\",\"views\":9893,\"rank\":834},{\"article\":\"Republican_Party_presidential_candidates,_2016\",\"views\":9892,\"rank\":835},{\"article\":\"Batman\",\"views\":9891,\"rank\":836},{\"article\":\"Deepika_Padukone\",\"views\":9884,\"rank\":837},{\"article\":\"Sorry_(Justin_Bieber_song)\",\"views\":9865,\"rank\":838},{\"article\":\"Kombucha\",\"views\":9859,\"rank\":839},{\"article\":\"Wikipedia:File_Upload_Wizard\",\"views\":9854,\"rank\":840},{\"article\":\"New_York_Jets\",\"views\":9843,\"rank\":841},{\"article\":\"Cary_Grant\",\"views\":9842,\"rank\":842},{\"article\":\"List_of_Modern_Family_episodes\",\"views\":9840,\"rank\":843},{\"article\":\"The_Big_Short_(film)\",\"views\":9836,\"rank\":844},{\"article\":\"Future\",\"views\":9835,\"rank\":845},{\"article\":\"Template:Syrian_and_Iraqi_insurgency_detailed_map\",\"views\":9820,\"rank\":846},{\"article\":\"Edgar_Allan_Poe\",\"views\":9820,\"rank\":846},{\"article\":\"Finn_Wittrock\",\"views\":9816,\"rank\":848},{\"article\":\"Che_Guevara\",\"views\":9808,\"rank\":849},{\"article\":\"No_Escape_(2015_film)\",\"views\":9806,\"rank\":850},{\"article\":\"Love_the_Coopers\",\"views\":9806,\"rank\":850},{\"article\":\"Instagram\",\"views\":9795,\"rank\":852},{\"article\":\"Orange_Is_the_New_Black\",\"views\":9792,\"rank\":853},{\"article\":\"The_Voice_(U.S._TV_series)\",\"views\":9787,\"rank\":854},{\"article\":\"Empire_(season_2)\",\"views\":9785,\"rank\":855},{\"article\":\"WhatsApp\",\"views\":9775,\"rank\":856},{\"article\":\"Hedy_Lamarr\",\"views\":9774,\"rank\":857},{\"article\":\"O._J._Simpson\",\"views\":9757,\"rank\":858},{\"article\":\"Sinjar\",\"views\":9729,\"rank\":859},{\"article\":\"Asia-Pacific_Economic_Cooperation\",\"views\":9717,\"rank\":860},{\"article\":\"Argentina–Brazil_football_rivalry\",\"views\":9716,\"rank\":861},{\"article\":\"Wikipedia:Citation_needed\",\"views\":9711,\"rank\":862},{\"article\":\"Genghis_Khan\",\"views\":9708,\"rank\":863},{\"article\":\"File:Justin_Bieber_NRJ_Music_Awards_2012.jpg\",\"views\":9708,\"rank\":863},{\"article\":\"Greenland\",\"views\":9693,\"rank\":865},{\"article\":\"Thomas_Edison\",\"views\":9693,\"rank\":865},{\"article\":\"Demi_Lovato\",\"views\":9681,\"rank\":867},{\"article\":\"Swastika\",\"views\":9679,\"rank\":868},{\"article\":\"Uber_(company)\",\"views\":9675,\"rank\":869},{\"article\":\"Black_Mass_(film)\",\"views\":9671,\"rank\":870},{\"article\":\"French_Revolution\",\"views\":9667,\"rank\":871},{\"article\":\"Pneumonia\",\"views\":9665,\"rank\":872},{\"article\":\"The_Holocaust\",\"views\":9658,\"rank\":873},{\"article\":\"Ten_Commandments\",\"views\":9656,\"rank\":874},{\"article\":\"Anarkali_(2015_film)\",\"views\":9645,\"rank\":875},{\"article\":\"Ex_Machina_(film)\",\"views\":9645,\"rank\":875},{\"article\":\"James_Bond_in_film\",\"views\":9640,\"rank\":877},{\"article\":\"Frozen_(2013_film)\",\"views\":9623,\"rank\":878},{\"article\":\"Narcissistic_personality_disorder\",\"views\":9600,\"rank\":879},{\"article\":\"Korean_War\",\"views\":9568,\"rank\":880},{\"article\":\"Homeland_(TV_series)\",\"views\":9563,\"rank\":881},{\"article\":\"Karl-Anthony_Towns\",\"views\":9556,\"rank\":882},{\"article\":\"In_the_Heart_of_the_Sea_(film)\",\"views\":9555,\"rank\":883},{\"article\":\"Bones_(TV_series)\",\"views\":9549,\"rank\":884},{\"article\":\"Armaan_Kohli\",\"views\":9546,\"rank\":885},{\"article\":\"The_Maze_Runner\",\"views\":9539,\"rank\":886},{\"article\":\"Diana,_Princess_of_Wales\",\"views\":9528,\"rank\":887},{\"article\":\"Benjamin_Franklin\",\"views\":9527,\"rank\":888},{\"article\":\"Jake_Gyllenhaal\",\"views\":9521,\"rank\":889},{\"article\":\"Hulk_Hogan\",\"views\":9518,\"rank\":890},{\"article\":\"Oscar_De_La_Hoya\",\"views\":9516,\"rank\":891},{\"article\":\"List_of_UFC_events\",\"views\":9514,\"rank\":892},{\"article\":\"Los_Angeles\",\"views\":9513,\"rank\":893},{\"article\":\"G-20_major_economies\",\"views\":9513,\"rank\":893},{\"article\":\"Snapchat\",\"views\":9506,\"rank\":895},{\"article\":\"Naughty_Ninjas\",\"views\":9503,\"rank\":896},{\"article\":\"Survivor:_Cambodia\",\"views\":9497,\"rank\":897},{\"article\":\"Special:RecentChangesLinked\",\"views\":9495,\"rank\":898},{\"article\":\"Washington,_D.C.\",\"views\":9494,\"rank\":899},{\"article\":\"Null\",\"views\":9494,\"rank\":899},{\"article\":\"Mad_Max:_Fury_Road\",\"views\":9476,\"rank\":901},{\"article\":\"Trypophobia\",\"views\":9476,\"rank\":901},{\"article\":\"X-Men:_Apocalypse\",\"views\":9471,\"rank\":903},{\"article\":\"Gmail\",\"views\":9467,\"rank\":904},{\"article\":\"File:TheVoiceTitleCard.png\",\"views\":9453,\"rank\":905},{\"article\":\"Mission:_Impossible_–_Rogue_Nation\",\"views\":9453,\"rank\":905},{\"article\":\"Winston_Churchill\",\"views\":9428,\"rank\":907},{\"article\":\"Bipolar_disorder\",\"views\":9427,\"rank\":908},{\"article\":\"Edward_Snowden\",\"views\":9424,\"rank\":909},{\"article\":\"Tantalus_Media\",\"views\":9410,\"rank\":910},{\"article\":\"United_Nations\",\"views\":9404,\"rank\":911},{\"article\":\"Hezbollah\",\"views\":9396,\"rank\":912},{\"article\":\"Les_Halles\",\"views\":9393,\"rank\":913},{\"article\":\"Hotline_Bling\",\"views\":9375,\"rank\":914},{\"article\":\"Chernobyl_disaster\",\"views\":9375,\"rank\":914},{\"article\":\"Conor_McGregor\",\"views\":9374,\"rank\":916},{\"article\":\"George_H._W._Bush\",\"views\":9369,\"rank\":917},{\"article\":\"Rooting_(Android_OS)\",\"views\":9368,\"rank\":918},{\"article\":\"The_Hunger_Games:_Mockingjay_–_Part_1\",\"views\":9355,\"rank\":919},{\"article\":\"Mog_(Judith_Kerr)\",\"views\":9347,\"rank\":920},{\"article\":\"November_12\",\"views\":9346,\"rank\":921},{\"article\":\"Trans-Pacific_Partnership\",\"views\":9341,\"rank\":922},{\"article\":\"Vijay_(actor)\",\"views\":9337,\"rank\":923},{\"article\":\"Ice_Cube\",\"views\":9335,\"rank\":924},{\"article\":\"Anal_sex\",\"views\":9324,\"rank\":925},{\"article\":\"Lisa_Ann\",\"views\":9323,\"rank\":926},{\"article\":\"Iran\",\"views\":9314,\"rank\":927},{\"article\":\"Behati_Prinsloo\",\"views\":9312,\"rank\":928},{\"article\":\"Sofía_Vergara\",\"views\":9311,\"rank\":929},{\"article\":\"Rita_Ora\",\"views\":9300,\"rank\":930},{\"article\":\"Matt_Damon\",\"views\":9295,\"rank\":931},{\"article\":\"Undertale\",\"views\":9294,\"rank\":932},{\"article\":\"Osama_bin_Laden\",\"views\":9293,\"rank\":933},{\"article\":\"List_of_Girl_Meets_World_episodes\",\"views\":9292,\"rank\":934},{\"article\":\"AC/DC\",\"views\":9288,\"rank\":935},{\"article\":\"Judi_Dench\",\"views\":9285,\"rank\":936},{\"article\":\"Jeff_Buckley\",\"views\":9281,\"rank\":937},{\"article\":\"Human_penis_size\",\"views\":9277,\"rank\":938},{\"article\":\"Emily_Blunt\",\"views\":9276,\"rank\":939},{\"article\":\"Hinduism\",\"views\":9260,\"rank\":940},{\"article\":\"Seth_Rollins\",\"views\":9221,\"rank\":941},{\"article\":\"Minions_(film)\",\"views\":9217,\"rank\":942},{\"article\":\"Graves'_disease\",\"views\":9216,\"rank\":943},{\"article\":\"Viola_Davis\",\"views\":9216,\"rank\":943},{\"article\":\"Liam_Neeson\",\"views\":9207,\"rank\":945},{\"article\":\"Neil_Nitin_Mukesh\",\"views\":9203,\"rank\":946},{\"article\":\"The_Beatles_(terrorist_cell)\",\"views\":9202,\"rank\":947},{\"article\":\"Rob_Lowe\",\"views\":9200,\"rank\":948},{\"article\":\"Warren_Buffett\",\"views\":9196,\"rank\":949},{\"article\":\"Future_(rapper)\",\"views\":9193,\"rank\":950},{\"article\":\"Furious_7\",\"views\":9177,\"rank\":951},{\"article\":\"American_Horror_Story:_Murder_House\",\"views\":9176,\"rank\":952},{\"article\":\"Hymen\",\"views\":9174,\"rank\":953},{\"article\":\"Prabhas\",\"views\":9169,\"rank\":954},{\"article\":\"File:Jeremy_Clarkson.jpg\",\"views\":9164,\"rank\":955},{\"article\":\"Evan_Peters\",\"views\":9161,\"rank\":956},{\"article\":\"index.html\",\"views\":9155,\"rank\":957},{\"article\":\"New_York\",\"views\":9148,\"rank\":958},{\"article\":\"Grey's_Anatomy_(season_12)\",\"views\":9148,\"rank\":958},{\"article\":\"Constantine_(TV_series)\",\"views\":9147,\"rank\":960},{\"article\":\"HTTPS\",\"views\":9145,\"rank\":961},{\"article\":\"Mandana_Karimi\",\"views\":9141,\"rank\":962},{\"article\":\"Freemasonry\",\"views\":9138,\"rank\":963},{\"article\":\"Dog\",\"views\":9136,\"rank\":964},{\"article\":\"Sex\",\"views\":9119,\"rank\":965},{\"article\":\"Julius_Caesar\",\"views\":9115,\"rank\":966},{\"article\":\"List_of_Hindi_film_clans\",\"views\":9107,\"rank\":967},{\"article\":\"Snoop_Dogg\",\"views\":9102,\"rank\":968},{\"article\":\"Rowan_Atkinson\",\"views\":9097,\"rank\":969},{\"article\":\"Final_Fantasy_VII\",\"views\":9095,\"rank\":970},{\"article\":\"Anna_Kendrick\",\"views\":9090,\"rank\":971},{\"article\":\"Navin_Kundra\",\"views\":9086,\"rank\":972},{\"article\":\"First_Amendment_to_the_United_States_Constitution\",\"views\":9084,\"rank\":973},{\"article\":\"Kerry_Washington\",\"views\":9083,\"rank\":974},{\"article\":\"Elementary_(TV_series)\",\"views\":9079,\"rank\":975},{\"article\":\"Ralph_Fiennes\",\"views\":9072,\"rank\":976},{\"article\":\"Southpaw_(film)\",\"views\":9072,\"rank\":976},{\"article\":\"Joseph_Gordon-Levitt\",\"views\":9071,\"rank\":978},{\"article\":\"David_Tennant\",\"views\":9071,\"rank\":978},{\"article\":\"Mastani\",\"views\":9056,\"rank\":980},{\"article\":\"Attack_on_Titan\",\"views\":9055,\"rank\":981},{\"article\":\"Pansexuality\",\"views\":9053,\"rank\":982},{\"article\":\"Persimmon\",\"views\":9048,\"rank\":983},{\"article\":\"Ireland\",\"views\":9038,\"rank\":984},{\"article\":\"Nicholas_Hoult\",\"views\":9038,\"rank\":984},{\"article\":\"Pharrell_Williams\",\"views\":9036,\"rank\":986},{\"article\":\"Eva_Green\",\"views\":9026,\"rank\":987},{\"article\":\"Armero_tragedy\",\"views\":9019,\"rank\":988},{\"article\":\"John_Wayne_Gacy\",\"views\":9015,\"rank\":989},{\"article\":\"Earth\",\"views\":9015,\"rank\":989},{\"article\":\"Person_of_Interest_(TV_series)\",\"views\":9014,\"rank\":991},{\"article\":\"IZombie_(TV_series)\",\"views\":9012,\"rank\":992},{\"article\":\"Alicia_Vikander\",\"views\":9010,\"rank\":993},{\"article\":\"American_Revolutionary_War\",\"views\":9009,\"rank\":994},{\"article\":\"Al_Roker\",\"views\":9005,\"rank\":995},{\"article\":\"List_of_Bollywood_films_of_2016\",\"views\":9000,\"rank\":996},{\"article\":\"Jesse_Chambers\",\"views\":8988,\"rank\":997},{\"article\":\"Burj_Khalifa\",\"views\":8986,\"rank\":998},{\"article\":\"Jacqueline_Kennedy_Onassis\",\"views\":8986,\"rank\":998},{\"article\":\"Mark_Wahlberg\",\"views\":8975,\"rank\":1000}]"}]}

This is a JSON response. Within it, the articles array is JSON encoded again. Why is the data double-encoded? I have no idea and that seems weird, but let's pretend it's intentional.

If the double-encoding is an intentional design decision, why is the data seemingly mis-encoded? Specifically:

{\"article\":\"Phil_\"Philthy_Animal\"_Taylor\",\"views\":12903,\"rank\":480}

I believe this should be:

{\"article\":\"Phil_\\\"Philthy_Animal\\\"_Taylor\",\"views\":12903,\"rank\":480}

It seems either the double-encoding needs to be removed or fixed to be correct.

EDIT: This report concerns an endpoint mentioned as "Most viewed articles" in the docs. (added to allow people searching by this keyword reach here more easily)

Event Timeline

MZMcBride updated the task description. (Show Details)
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride added projects: Analytics, Services.
MZMcBride added subscribers: MZMcBride, Krinkle.
Restricted Application added subscribers: StudiesWorld, revi, Josve05a, Aklapper. · View Herald TranscriptNov 18 2015, 5:24 AM
revi removed a subscriber: revi.Nov 18 2015, 6:58 AM
Milimetric set Security to None.

Two question for y'all. Assume we changed this:

  1. Does the breaking format change bother you as consumers? It's kind of early and if the answer is "no" then great. Otherwise, we could go through the process of deprecating and releasing a different version
  2. Is the current format OK if we just decode it and present it uniformly as JSON?
Nuria triaged this task as High priority.Nov 18 2015, 5:32 PM
Nuria edited subscribers, added: JAllemandou; removed: ellery.Nov 18 2015, 5:34 PM

Two question for y'all. Assume we changed this:

  1. Does the breaking format change bother you as consumers? It's kind of early and if the answer is "no" then great. Otherwise, we could go through the process of deprecating and releasing a different version

I'm not bothered.

  1. Is the current format OK if we just decode it and present it uniformly as JSON?

I don't understand why the data was (poorly) double-encoded in the first place, so it's difficult to assess whether it was a good decision or a bad decision. Was double-encoding intentional? If so, why?

I would prefer this be fixed asap :/

  1. Is the current format OK if we just decode it and present it uniformly as JSON?

I don't understand why the data was (poorly) double-encoded in the first place, so it's difficult to assess whether it was a good decision or a bad decision. Was double-encoding intentional? If so, why?

Not intentional, it was a combination of we couldn't figure out how to use the "map" datatype (maybe it wasn't working perfectly in RESTBase at the time we tried) and us not testing properly to make sure the hack-around worked in all cases.

So it's a bug, and we're definitely fixing it as soon as possible. It might take a while to re-load, though, but we'll use this task to track.

whym updated the task description. (Show Details)Nov 19 2015, 8:08 AM
Milimetric raised the priority of this task from High to Unbreak Now!.Nov 19 2015, 5:22 PM
Milimetric claimed this task.
Milimetric edited projects, added Analytics-Kanban; removed Analytics-Backlog.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

@JAllemandou: I fixed the RESTBase part here: https://github.com/wikimedia/restbase/pull/422 so you'll have to make sure the string coming out of Hive is proper JSON instead of stringified JSON. Looking at your code [1] though, I don't understand where the double-escaping problem started... Maybe it's Java doing something crazy with your Hive output, because that looks ok except for maybe the \\" instead of simply \"

[1] https://gerrit.wikimedia.org/r/#/c/236224/22/oozie/cassandra/daily/pageview_top_articles.hql

JAllemandou renamed this task from Wikimedia "top" pageviews API has problematic double-encoded JSON to Wikimedia "top" pageviews API has problematic double-encoded JSON [8 pts] {melc}.Nov 23 2015, 5:36 PM

The output is now much better and much easier to work with!
Many thanks!!!

@Addshore: you're not supposed to thank us before I mention that we deployed the fix :)

So, we deployed it, but we're still back-filling data. So whereas this URL works well:

https://wikimedia.org/api/rest_v1/metrics/pageviews/top/en.wikipedia/all-access/2015/11/16

This one will just return an error because it still has the old broken JSON in there:

https://wikimedia.org/api/rest_v1/metrics/pageviews/top/en.wikipedia/all-access/2015/11/13

There is a new error message, but obviously we're not going to leave you with that. The data will take a while to backfill, so be patient. We'll close this bug when it's done. Thanks again for the report.

Nuria closed this task as Resolved.Dec 2 2015, 6:52 PM